org.apache.hadoop.fs.http.server

## Class FSOperations.FSGetXAttrs

- java.lang.Object
- - org.apache.hadoop.fs.http.server.FSOperations.FSGetXAttrs

- All Implemented Interfaces:
    FileSystemAccess.FileSystemExecutor<Map>
  Enclosing class:
    FSOperations

      @InterfaceAudience.Private
      public static class FSOperations.FSGetXAttrs
      extends Object
      implements FileSystemAccess.FileSystemExecutor<Map>

  Executor that performs getting xattrs FileSystemAccess files system operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSGetXAttrs(String path, List<String> names, org.apache.hadoop.fs.XAttrCodec encoding)` Creates getting xattrs executor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map` | `execute(org.apache.hadoop.fs.FileSystem fs)` Executes the filesystem operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSGetXAttrs

          public FSGetXAttrs(String path,
                             List<String> names,
                             org.apache.hadoop.fs.XAttrCodec encoding)

      Creates getting xattrs executor.
      Parameters:
        `path` - the path to retrieve the xattrs.

  - ### Method Detail

    - #### execute

          public Map execute(org.apache.hadoop.fs.FileSystem fs)
                      throws IOException

      Executes the filesystem operation.
      Specified by:
        `execute` in interface `FileSystemAccess.FileSystemExecutor<Map>`
      Parameters:
        `fs` - filesystem instance to use.
      Returns:
        Map a map object (JSON friendly) with the xattrs.
      Throws:
        `IOException` - thrown if an IO error occurred.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.